#define		CLKEN				1
#define		CTCRST				(1<<1)

#define		CTIME0_DOW(x)		((x&0x07000000)>>24)
#define		CTIME0_HOURS(x)		((x&0x001F0000)>>16)
#define		CTIME0_MINUTES(x)	((x&0x00003F00)>>8)
#define		CTIME0_SECONDS(x)	(x&0x0000003F)

#define		CTIME1_YEAR(x)		((x&0x0FFF0000)>>16)
#define		CTIME1_MONTH(x)		((x&0x00000F00)>>8)
#define		CTIME1_DAY(x)		(x&0x0000001F)

#define		CTIME2_DOY(x)		(x&0x00000FFF)

//functions
void StartRTC(void);
void StopRTC(void);
void SetTime(u8 hours, u8 minutes, u8 seconds);
void SetDate(u8 day, u8 month, u16 year);
